var currentTabUrl = 'http://';

addon.port.on('currentTabUrl', function (url) {
    currentTabUrl = url;
    $('#url input').val(url);
});

function getCurrentUrl (cb) {
    cb(currentTabUrl);
}

function createTab (url) {
    addon.port.emit('createTab', url);
}

function localStorageGet(items, cb) {
    var eventId = Math.random().toString(16).slice(2);
    addon.port.on('localStorageGet-' + eventId, function (returnItems) {
        cb(returnItems);
    });
    addon.port.emit('localStorageGet', eventId, items);
}

function localStorageSet(items, cb) {
    var keys = Object.keys(items);
    keys.forEach(function (key) {
        var val = items[key];
        addon.port.emit('localStorageSet', key, val);
    });
    cb(undefined);
}

function localStorageClear(cb) {
    addon.port.emit('localStorageClear');
    cb(undefined);
}
